<div align="center">
 <img src=https://git.quollkey.org/Quollkey/Quollkey/raw/branch/main/packages/frontend/assets/quollkey-logo1.png alt="quollkey logo" width="700" style="margin-bottom: -5px;">
</div>

<p align="center"><strong>Your vortex to the Fediverse and beyond, powered by Sharkey</strong></p>
<div align="center">
<img src=https://git.quollkey.org/Quollkey/Quollkey/raw/branch/main/packages/frontend/assets/quollkeybg2.webp alt="quollkey image" width="1000"></div>

<p align="center">Quollkey is 99.9% based on the official Sharkey Project. Quollkey has no offical affiliation with the Sharkey Project</p>

<p align="center">Please check the Quollkey Readme and other Quollkey docs</p>

<div align="center">
<h1 style="text-align:centre;"> Offical Sharkey Project Links/Information</h1>

<a href="https://joinsharkey.org/">
	<img src="https://activitypub.software/TransFem-org/Sharkey/-/raw/develop/packages/frontend/assets/sharkey.svg" alt="Sharkey logo" style="border-radius:50%" width="300"/>
</a>

---

<a href="https://docs.joinsharkey.org/docs/install/fresh/">
		<img src="https://custom-icon-badges.herokuapp.com/badge/create_an-instance-FBD53C?logoColor=FBD53C&style=for-the-badge&logo=server&labelColor=363B40" alt="create an instance"/></a>

<a href="./CONTRIBUTING.md">
		<img src="https://custom-icon-badges.herokuapp.com/badge/become_a-contributor-A371F7?logoColor=A371F7&style=for-the-badge&logo=git-merge&labelColor=363B40" alt="become a contributor"/></a>

<a href="https://discord.gg/6VgKmEqHNk">
		<img src="https://custom-icon-badges.herokuapp.com/badge/join_the-community-5865F2?logoColor=5865F2&style=for-the-badge&logo=discord&labelColor=363B40" alt="join the community"/></a>

<a href="https://opencollective.com/sharkey">
		<img src="https://custom-icon-badges.herokuapp.com/badge/donate-81ACF4?logoColor=81ACF4&style=for-the-badge&logo=opencollective&labelColor=363B40" alt="donate"/></a>

---

</div>

<div>

<a href="https://joinsharkey.org/"><img src="https://cdn.shonk.social/files/b671c81c-58cf-4f13-bc96-af0b0c96c667.webp" align="right" height="520px"/></a>

## ✨ Features
- **ActivityPub support**\
Not on Sharkey? No problem! Not only can Sharkey instances talk to each other, but you can make friends with people on other networks like Mastodon and Pixelfed!
- **Federated Backgrounds and Music status**\
You can add a background to your profile as well as a music status via ListenBrainz, show everyone what music you are currently listening to
- **Mastodon API**\
Sharkey implements the Mastodon API unlike normal Misskey
- **UI/UX Improvements**\
Sharkey makes some UI/UX improvements to make it easier to navigate
- **Sign-Up Approval**\
With Sharkey, you can enable sign-ups, subject to manual moderator approval and mandatory user-provided reasons for joining.
- **Rich Web UI**\
       Sharkey has a rich and easy to use Web UI!
       It is highly customizable, from changing the layout and adding widgets to making custom themes.
       Furthermore, plugins can be created using AiScript, an original programming language.
- And much more...

</div>

<div style="clear: both;"></div>

## Documentation

Sharkey Documentation can be found at [Sharkey Documentation](https://docs.joinsharkey.org/docs/install/fresh/)
